from .base import BaseClass


class MainClass(BaseClass):
    name = "restart"

    super_users = [431043517217898496]

    color = 0x000000

    help_active = True
    help = {
        "description": "Gestion des redémarrages du bot",
        "commands": {
            "`{prefix}{command} py`": "Redémarre le bot.",
        }
    }

    command_text = "restart"

    async def command(self, message, args, kwargs):
        await message.channel.send("{mention}, vous devez utiliser `{prefix}restart py` pour redémarer."
                                   .format(prefix=self.client.config["prefix"], mention=message.author.mention))

    async def com_py(self, message, args, kwargs):
        await self.client.logout()
